#include <MDR32FxQI_port.h>
#include <MDR32FxQI_rst_clk.h>

void Delay(int waitTicks);

int main()
{
    PORT_InitTypeDef GPIOInitStruct;

    RST_CLK_PCLKcmd (RST_CLK_PCLK_PORTD, ENABLE);

    PORT_StructInit(&GPIOInitStruct);

    GPIOInitStruct.PORT_Pin = PORT_Pin_7;
    GPIOInitStruct.PORT_OE = PORT_OE_OUT;
    GPIOInitStruct.PORT_SPEED = PORT_SPEED_SLOW;
    GPIOInitStruct.PORT_MODE = PORT_MODE_DIGITAL;
    PORT_Init(MDR_PORTD, &GPIOInitStruct);
    while (1)
    {
        if (PORT_ReadInputDataBit (MDR_PORTD, PORT_Pin_7) == 0)
        {
            PORT_SetBits(MDR_PORTD, PORT_Pin_7); 
        }
        Delay(1000000);

        if (PORT_ReadInputDataBit (MDR_PORTD, PORT_Pin_7) == 1)
        {
            PORT_ResetBits(MDR_PORTD, PORT_Pin_7);
        };
        Delay(1000000);
    }
}

void Delay(int waitTicks)
{
    int i;
    for (i = 0; i < waitTicks; i++)
    {
        __NOP();
    }
}
