#include <MDR32FxQI_port.h>
#include <MDR32FxQI_rst_clk.h>

void Delay(int waitTicks);

#define LED_PERIOD 500000
#define VD3 PORT_Pin_0
#define VD4 PORT_Pin_1

#define LED_ALL VD3 | VD4

int main()
{
    PORT_InitTypeDef GPIOInitStruct;

    RST_CLK_PCLKcmd (RST_CLK_PCLK_PORTC, ENABLE);
    PORT_StructInit(&GPIOInitStruct);

    GPIOInitStruct.PORT_Pin        = LED_ALL;
    GPIOInitStruct.PORT_OE         = PORT_OE_OUT;
    GPIOInitStruct.PORT_SPEED      = PORT_SPEED_SLOW;
    GPIOInitStruct.PORT_MODE       = PORT_MODE_DIGITAL;
    PORT_Init(MDR_PORTC, &GPIOInitStruct);

    while (1)
    {
        PORT_SetBits(MDR_PORTC, LED_ALL);   // LED ON
        Delay(LED_PERIOD);

        PORT_ResetBits(MDR_PORTC, LED_ALL); // LED OFF
        Delay(LED_PERIOD);
    }
}


void Delay(int waitTicks)
{
    int i;
    for (i = 0; i < waitTicks; i++)
    {
        __NOP();
    }
}
